package com.enteprise.base_data_month.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.base_data_month.mapper.EnterpriseBaseDataMonthMapper;
import com.enteprise.base_data_month.domain.EnterpriseBaseDataMonth;
import com.enteprise.base_data_month.service.IEnterpriseBaseDataMonthService;

/**
 * base_data_monthService业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class EnterpriseBaseDataMonthServiceImpl implements IEnterpriseBaseDataMonthService 
{
    @Autowired
    private EnterpriseBaseDataMonthMapper enterpriseBaseDataMonthMapper;

    /**
     * 查询base_data_month
     * 
     * @param id base_data_month主键
     * @return base_data_month
     */
    @Override
    public EnterpriseBaseDataMonth selectEnterpriseBaseDataMonthById(Long id)
    {
        return enterpriseBaseDataMonthMapper.selectEnterpriseBaseDataMonthById(id);
    }

    /**
     * 查询base_data_month列表
     * 
     * @param enterpriseBaseDataMonth base_data_month
     * @return base_data_month
     */
    @Override
    public List<EnterpriseBaseDataMonth> selectEnterpriseBaseDataMonthList(EnterpriseBaseDataMonth enterpriseBaseDataMonth)
    {
        return enterpriseBaseDataMonthMapper.selectEnterpriseBaseDataMonthList(enterpriseBaseDataMonth);
    }

    /**
     * 新增base_data_month
     * 
     * @param enterpriseBaseDataMonth base_data_month
     * @return 结果
     */
    @Override
    public int insertEnterpriseBaseDataMonth(EnterpriseBaseDataMonth enterpriseBaseDataMonth)
    {
        return enterpriseBaseDataMonthMapper.insertEnterpriseBaseDataMonth(enterpriseBaseDataMonth);
    }

    /**
     * 修改base_data_month
     * 
     * @param enterpriseBaseDataMonth base_data_month
     * @return 结果
     */
    @Override
    public int updateEnterpriseBaseDataMonth(EnterpriseBaseDataMonth enterpriseBaseDataMonth)
    {
        return enterpriseBaseDataMonthMapper.updateEnterpriseBaseDataMonth(enterpriseBaseDataMonth);
    }

    /**
     * 批量删除base_data_month
     * 
     * @param ids 需要删除的base_data_month主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseBaseDataMonthByIds(Long[] ids)
    {
        return enterpriseBaseDataMonthMapper.deleteEnterpriseBaseDataMonthByIds(ids);
    }

    /**
     * 删除base_data_month信息
     * 
     * @param id base_data_month主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseBaseDataMonthById(Long id)
    {
        return enterpriseBaseDataMonthMapper.deleteEnterpriseBaseDataMonthById(id);
    }
}
