package com.enteprise.base_data_year.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * base_data_year对象 enterprise_base_data_year
 *
 * @author ruoyi
 * @date 2024-08-30
 */
public class EnterpriseBaseDataYear extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 坐落地 */
    @Excel(name = "坐落地")
    private String location;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    /** 主营业务活动 */
    @Excel(name = "主营业务活动")
    private String mainBusiness;

    /** 用地面积 */
    @Excel(name = "用地面积")
    private Long landArea;

    /** 工业总产值 */
    @Excel(name = "工业总产值")
    private Long totalIndustrialValue;

    /** 工业增加值 */
    @Excel(name = "工业增加值")
    private Long gdp;

    /** 应税收入 */
    @Excel(name = "应税收入")
    private Long taxableIncome;

    /** 实缴税金 */
    @Excel(name = "实缴税金")
    private Long paidTax;

    /** 主营业务收入 */
    @Excel(name = "主营业务收入")
    private Long mainBusinessIncome;

    /** 从业人员数 */
    @Excel(name = "从业人员数")
    private Long employeeNumber;

    /** 利润总额 */
    @Excel(name = "利润总额")
    private Long profit;

    /** 所有者权益 */
    @Excel(name = "所有者权益")
    private Long ownerEquity;

    /** 研发经费 */
    @Excel(name = "研发经费")
    private Long funding;

    /** 能源消费量 */
    @Excel(name = "能源消费量")
    private Long energyConsume;

    @Excel(name = "电力消费量")
    private Long powerConsume;


    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 月份 */
    @Excel(name = "月份")
    private String month;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setMainBusiness(String mainBusiness)
    {
        this.mainBusiness = mainBusiness;
    }

    public String getMainBusiness()
    {
        return mainBusiness;
    }
    public void setLandArea(Long landArea)
    {
        this.landArea = landArea;
    }

    public Long getLandArea()
    {
        return landArea;
    }
    public void setTotalIndustrialValue(Long totalIndustrialValue)
    {
        this.totalIndustrialValue = totalIndustrialValue;
    }

    public Long getTotalIndustrialValue()
    {
        return totalIndustrialValue;
    }
    public void setGdp(Long gdp)
    {
        this.gdp = gdp;
    }

    public Long getGdp()
    {
        return gdp;
    }
    public void setTaxableIncome(Long taxableIncome)
    {
        this.taxableIncome = taxableIncome;
    }

    public Long getTaxableIncome()
    {
        return taxableIncome;
    }
    public void setPaidTax(Long paidTax)
    {
        this.paidTax = paidTax;
    }

    public Long getPaidTax()
    {
        return paidTax;
    }
    public void setMainBusinessIncome(Long mainBusinessIncome)
    {
        this.mainBusinessIncome = mainBusinessIncome;
    }

    public Long getMainBusinessIncome()
    {
        return mainBusinessIncome;
    }
    public void setEmployeeNumber(Long employeeNumber)
    {
        this.employeeNumber = employeeNumber;
    }

    public Long getEmployeeNumber()
    {
        return employeeNumber;
    }
    public void setProfit(Long profit)
    {
        this.profit = profit;
    }

    public Long getProfit()
    {
        return profit;
    }
    public void setOwnerEquity(Long ownerEquity)
    {
        this.ownerEquity = ownerEquity;
    }

    public Long getOwnerEquity()
    {
        return ownerEquity;
    }
    public void setFunding(Long funding)
    {
        this.funding = funding;
    }

    public Long getFunding()
    {
        return funding;
    }
    public void setEnergyConsume(Long energyConsume)
    {
        this.energyConsume = energyConsume;
    }

    public Long getEnergyConsume()
    {
        return energyConsume;
    }

    public void setPowerConsume(Long powerConsume)
    {
        this.powerConsume = powerConsume;
    }

    public Long getPowerConsume()
    {
        return powerConsume;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMonth(String month)
    {
        this.month = month;
    }

    public String getMonth()
    {
        return month;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseName", getEnterpriseName())
            .append("location", getLocation())
            .append("code", getCode())
            .append("mainBusiness", getMainBusiness())
            .append("landArea", getLandArea())
            .append("totalIndustrialValue", getTotalIndustrialValue())
            .append("gdp", getGdp())
            .append("taxableIncome", getTaxableIncome())
            .append("paidTax", getPaidTax())
            .append("mainBusinessIncome", getMainBusinessIncome())
            .append("employeeNumber", getEmployeeNumber())
            .append("profit", getProfit())
            .append("ownerEquity", getOwnerEquity())
            .append("funding", getFunding())
            .append("energyConsume", getEnergyConsume())
                .append("powerConsume", getPowerConsume())
            .append("year", getYear())
            .append("month", getMonth())
            .toString();
    }
}
