package com.enteprise.base_data_year.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.base_data_year.mapper.EnterpriseBaseDataYearMapper;
import com.enteprise.base_data_year.domain.EnterpriseBaseDataYear;
import com.enteprise.base_data_year.service.IEnterpriseBaseDataYearService;

/**
 * base_data_yearService业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class EnterpriseBaseDataYearServiceImpl implements IEnterpriseBaseDataYearService 
{
    @Autowired
    private EnterpriseBaseDataYearMapper enterpriseBaseDataYearMapper;

    /**
     * 查询base_data_year
     * 
     * @param id base_data_year主键
     * @return base_data_year
     */
    @Override
    public EnterpriseBaseDataYear selectEnterpriseBaseDataYearById(Long id)
    {
        return enterpriseBaseDataYearMapper.selectEnterpriseBaseDataYearById(id);
    }

    /**
     * 查询base_data_year列表
     * 
     * @param enterpriseBaseDataYear base_data_year
     * @return base_data_year
     */
    @Override
    public List<EnterpriseBaseDataYear> selectEnterpriseBaseDataYearList(EnterpriseBaseDataYear enterpriseBaseDataYear)
    {
        return enterpriseBaseDataYearMapper.selectEnterpriseBaseDataYearList(enterpriseBaseDataYear);
    }

    /**
     * 新增base_data_year
     * 
     * @param enterpriseBaseDataYear base_data_year
     * @return 结果
     */
    @Override
    public int insertEnterpriseBaseDataYear(EnterpriseBaseDataYear enterpriseBaseDataYear)
    {
        return enterpriseBaseDataYearMapper.insertEnterpriseBaseDataYear(enterpriseBaseDataYear);
    }

    /**
     * 修改base_data_year
     * 
     * @param enterpriseBaseDataYear base_data_year
     * @return 结果
     */
    @Override
    public int updateEnterpriseBaseDataYear(EnterpriseBaseDataYear enterpriseBaseDataYear)
    {
        return enterpriseBaseDataYearMapper.updateEnterpriseBaseDataYear(enterpriseBaseDataYear);
    }

    /**
     * 批量删除base_data_year
     * 
     * @param ids 需要删除的base_data_year主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseBaseDataYearByIds(Long[] ids)
    {
        return enterpriseBaseDataYearMapper.deleteEnterpriseBaseDataYearByIds(ids);
    }

    /**
     * 删除base_data_year信息
     * 
     * @param id base_data_year主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseBaseDataYearById(Long id)
    {
        return enterpriseBaseDataYearMapper.deleteEnterpriseBaseDataYearById(id);
    }
}
