package com.enteprise.benefit_monitor_assess.controller;

import com.enteprise.benefit_monitor_assess.domain.BenefitMonitorAssess;
import com.enteprise.benefit_monitor_assess.service.IBusinessMonitorAssessService;
import com.enteprise.common.core.controller.BaseController;
import com.enteprise.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/benefit/benefit")
public class BenefitMonitorAssessController extends BaseController {
    @Autowired
    private IBusinessMonitorAssessService businessMonitorAssessService;

    /**
     * 查询benefit列表
     */
    @PreAuthorize("@ss.hasPermi('benefit:benefit:list')")
    @PostMapping("/list")
    public TableDataInfo list(@RequestBody BenefitMonitorAssess benefitMonitorAssess) {
        startPage();
        List<BenefitMonitorAssess> list = businessMonitorAssessService.getListByBusinessMonitorAssess(benefitMonitorAssess);
        return getDataTable(list);
    }
}
