package com.enteprise.enterprise.service;

import java.util.List;
import com.enteprise.enterprise.domain.Enterprise;
import com.enteprise.enterprise.dto.EnterpriseDto;

/**
 * enterpriseService接口
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public interface IEnterpriseService 
{
    /**
     * 查询enterprise
     * 
     * @param id enterprise主键
     * @return enterprise
     */
    public EnterpriseDto selectEnterpriseById(Long id);

    /**
     * 查询enterprise列表
     * 
     * @param enterprise enterprise
     * @return enterprise集合
     */
    public List<Enterprise> selectEnterpriseList(Enterprise enterprise);

    public List<EnterpriseDto> selectAllWithType(Enterprise enterprise);
    /**
     * 新增enterprise
     * 
     * @param enterprise enterprise
     * @return 结果
     */
    public int insertEnterprise(Enterprise enterprise);

    /**
     * 修改enterprise
     * 
     * @param enterprise enterprise
     * @return 结果
     */
    public int updateEnterprise(Enterprise enterprise);

    /**
     * 批量删除enterprise
     * 
     * @param ids 需要删除的enterprise主键集合
     * @return 结果
     */
    public int deleteEnterpriseByIds(Long[] ids);

    /**
     * 删除enterprise信息
     * 
     * @param id enterprise主键
     * @return 结果
     */
    public int deleteEnterpriseById(Long id);

    int insertOrUpdateBatch(List<EnterpriseDto> list);
}
