package com.enteprise.etype.mapper;

import java.util.List;
import com.enteprise.etype.domain.EnterpriseType;

/**
 * etypeMapper接口
 * 
 * @author ljx
 * @date 2025-02-07
 */
public interface EnterpriseTypeMapper 
{
    /**
     * 查询etype
     * 
     * @param number etype主键
     * @return etype
     */
    public EnterpriseType selectEnterpriseTypeByNumber(String number);

    /**
     * 查询etype列表
     * 
     * @param enterpriseType etype
     * @return etype集合
     */
    public List<EnterpriseType> selectEnterpriseTypeList(EnterpriseType enterpriseType);

    /**
     * 新增etype
     * 
     * @param enterpriseType etype
     * @return 结果
     */
    public int insertEnterpriseType(EnterpriseType enterpriseType);

    /**
     * 修改etype
     * 
     * @param enterpriseType etype
     * @return 结果
     */
    public int updateEnterpriseType(EnterpriseType enterpriseType);

    /**
     * 删除etype
     * 
     * @param number etype主键
     * @return 结果
     */
    public int deleteEnterpriseTypeByNumber(String number);

    /**
     * 批量删除etype
     * 
     * @param numbers 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEnterpriseTypeByNumbers(String[] numbers);


    // 批量插入
    void insertBatch(List<EnterpriseType> list);
}
