package com.enteprise.etype.service;

import java.util.List;
import com.enteprise.etype.domain.EnterpriseType;

/**
 * etypeService接口
 * 
 * @author ljx
 * @date 2025-02-07
 */
public interface IEnterpriseTypeService 
{
    /**
     * 查询etype
     * 
     * @param number etype主键
     * @return etype
     */
    public EnterpriseType selectEnterpriseTypeByNumber(String number);

    /**
     * 查询etype列表
     * 
     * @param enterpriseType etype
     * @return etype集合
     */
    public List<EnterpriseType> selectEnterpriseTypeList(EnterpriseType enterpriseType);

    /**
     * 新增etype
     * 
     * @param enterpriseType etype
     * @return 结果
     */
    public int insertEnterpriseType(EnterpriseType enterpriseType);


    /**
     * 批量新增（导入）
     */
    boolean batchTbEnterpriseType(List<EnterpriseType> tbEnterpriseType);

    /**
     * 修改etype
     * 
     * @param enterpriseType etype
     * @return 结果
     */
    public int updateEnterpriseType(EnterpriseType enterpriseType);

    /**
     * 批量删除etype
     * 
     * @param numbers 需要删除的etype主键集合
     * @return 结果
     */
    public int deleteEnterpriseTypeByNumbers(String[] numbers);

    /**
     * 删除etype信息
     * 
     * @param number etype主键
     * @return 结果
     */
    public int deleteEnterpriseTypeByNumber(String number);


}
