package com.enteprise.industry.mapper;

import java.util.List;
import com.enteprise.industry.domain.Industry;

/**
 * industryMapper接口
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public interface IndustryMapper 
{
    /**
     * 查询industry
     * 
     * @param id industry主键
     * @return industry
     */
    public Industry selectIndustryById(Long id);

    /**
     * 查询industry列表
     * 
     * @param industry industry
     * @return industry集合
     */
    public List<Industry> selectIndustryList(Industry industry);

    /**
     * 新增industry
     * 
     * @param industry industry
     * @return 结果
     */
    public int insertIndustry(Industry industry);

    /**
     * 修改industry
     * 
     * @param industry industry
     * @return 结果
     */
    public int updateIndustry(Industry industry);

    /**
     * 删除industry
     * 
     * @param id industry主键
     * @return 结果
     */
    public int deleteIndustryById(Long id);

    /**
     * 批量删除industry
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIndustryByIds(Long[] ids);
}
