package com.enteprise.industry.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.industry.mapper.IndustryMapper;
import com.enteprise.industry.domain.Industry;
import com.enteprise.industry.service.IIndustryService;

/**
 * industryService业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class IndustryServiceImpl implements IIndustryService 
{
    @Autowired
    private IndustryMapper industryMapper;

    /**
     * 查询industry
     * 
     * @param id industry主键
     * @return industry
     */
    @Override
    public Industry selectIndustryById(Long id)
    {
        return industryMapper.selectIndustryById(id);
    }

    /**
     * 查询industry列表
     * 
     * @param industry industry
     * @return industry
     */
    @Override
    public List<Industry> selectIndustryList(Industry industry)
    {
        return industryMapper.selectIndustryList(industry);
    }

    /**
     * 新增industry
     * 
     * @param industry industry
     * @return 结果
     */
    @Override
    public int insertIndustry(Industry industry)
    {
        return industryMapper.insertIndustry(industry);
    }

    /**
     * 修改industry
     * 
     * @param industry industry
     * @return 结果
     */
    @Override
    public int updateIndustry(Industry industry)
    {
        return industryMapper.updateIndustry(industry);
    }

    /**
     * 批量删除industry
     * 
     * @param ids 需要删除的industry主键
     * @return 结果
     */
    @Override
    public int deleteIndustryByIds(Long[] ids)
    {
        return industryMapper.deleteIndustryByIds(ids);
    }

    /**
     * 删除industry信息
     * 
     * @param id industry主键
     * @return 结果
     */
    @Override
    public int deleteIndustryById(Long id)
    {
        return industryMapper.deleteIndustryById(id);
    }
}
