package com.enteprise.industry_oveview.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

import java.util.List;

/**
 * industry_oveview对象 industry_overview
 * 
 * @author ruoyi
 * @date 2024-11-11
 */
public class IndustryOverview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    private int year;

    /** 用地面积 */
    @Excel(name = "用地面积")
    private Long landArea;

    /** 用电量 */
    @Excel(name = "用电量")
    private Long powerConsumeSum;

    /** 能源消费量 */
    @Excel(name = "能源消费量")
    private Long energyConsumeSum;

    /** 研发经费 */
    @Excel(name = "研发经费")
    private Long fundingSum;

    /** 从业人员数 */
    @Excel(name = "从业人员数")
    private Long employeeNumberSum;

    /** 利润总额 */
    @Excel(name = "利润总额")
    private Long profitSum;

    /** 企业数量 */
    @Excel(name = "企业数量")
    private Long enterpriseNumbers;

    /** 工业总产值 */
    @Excel(name = "工业总产值")
    private Long totalIndustrialValueSum;

    /** 应税收入 */
    @Excel(name = "应税收入")
    private Long taxableIncomeSum;

    /** 实缴税金 */
    @Excel(name = "实缴税金")
    private Long paidTaxSum;

    /**
     * 年份列表
     * @param id
     */
    private List<Integer> years;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Integer year)
    {
        this.year = year;
    }

    public Integer getYear()
    {
        return year;
    }
    public void setLandArea(Long landArea) 
    {
        this.landArea = landArea;
    }

    public Long getLandArea() 
    {
        return landArea;
    }
    public void setPowerConsumeSum(Long powerConsumeSum) 
    {
        this.powerConsumeSum = powerConsumeSum;
    }

    public Long getPowerConsumeSum() 
    {
        return powerConsumeSum;
    }
    public void setEnergyConsumeSum(Long energyConsumeSum) 
    {
        this.energyConsumeSum = energyConsumeSum;
    }

    public Long getEnergyConsumeSum() 
    {
        return energyConsumeSum;
    }
    public void setFundingSum(Long fundingSum) 
    {
        this.fundingSum = fundingSum;
    }

    public Long getFundingSum() 
    {
        return fundingSum;
    }
    public void setEmployeeNumberSum(Long employeeNumberSum) 
    {
        this.employeeNumberSum = employeeNumberSum;
    }

    public Long getEmployeeNumberSum() 
    {
        return employeeNumberSum;
    }
    public void setProfitSum(Long profitSum) 
    {
        this.profitSum = profitSum;
    }

    public Long getProfitSum() 
    {
        return profitSum;
    }
    public void setEnterpriseNumbers(Long enterpriseNumbers) 
    {
        this.enterpriseNumbers = enterpriseNumbers;
    }

    public Long getEnterpriseNumbers() 
    {
        return enterpriseNumbers;
    }
    public void setTotalIndustrialValueSum(Long totalIndustrialValueSum) 
    {
        this.totalIndustrialValueSum = totalIndustrialValueSum;
    }

    public Long getTotalIndustrialValueSum() 
    {
        return totalIndustrialValueSum;
    }
    public void setTaxableIncomeSum(Long taxableIncomeSum) 
    {
        this.taxableIncomeSum = taxableIncomeSum;
    }

    public Long getTaxableIncomeSum() 
    {
        return taxableIncomeSum;
    }
    public void setPaidTaxSum(Long paidTaxSum) 
    {
        this.paidTaxSum = paidTaxSum;
    }

    public Long getPaidTaxSum() 
    {
        return paidTaxSum;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public List<Integer> getYears() {
        return years;
    }

    public void setYears(List<Integer> years) {
        this.years = years;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("landArea", getLandArea())
            .append("powerConsumeSum", getPowerConsumeSum())
            .append("energyConsumeSum", getEnergyConsumeSum())
            .append("fundingSum", getFundingSum())
            .append("employeeNumberSum", getEmployeeNumberSum())
            .append("profitSum", getProfitSum())
            .append("enterpriseNumbers", getEnterpriseNumbers())
            .append("totalIndustrialValueSum", getTotalIndustrialValueSum())
            .append("taxableIncomeSum", getTaxableIncomeSum())
            .append("paidTaxSum", getPaidTaxSum())
            .toString();
    }
}
