package com.enteprise.industry_oveview.service;

import java.util.List;

import com.enteprise.industry_oveview.domain.IndustryCount;
import com.enteprise.industry_oveview.domain.IndustryOverview;

/**
 * industry_oveviewService接口
 * 
 * @author ruoyi
 * @date 2024-11-11
 */
public interface IIndustryOverviewService 
{
    /**
     * 查询industry_oveview
     * 
     * @param id industry_oveview主键
     * @return industry_oveview
     */
    public IndustryOverview selectIndustryOverviewById(Long id);

    /**
     * 查询industry_oveview列表
     * 
     * @param industryOverview industry_oveview
     * @return industry_oveview集合
     */
    public List<IndustryOverview> selectIndustryOverviewList(IndustryOverview industryOverview);

    public List<IndustryCount> selectIndustryCountList();

    /**
     * 新增industry_oveview
     * 
     * @param industryOverview industry_oveview
     * @return 结果
     */
    public int insertIndustryOverview(IndustryOverview industryOverview);

    /**
     * 修改industry_oveview
     * 
     * @param industryOverview industry_oveview
     * @return 结果
     */
    public int updateIndustryOverview(IndustryOverview industryOverview);

    /**
     * 批量删除industry_oveview
     * 
     * @param ids 需要删除的industry_oveview主键集合
     * @return 结果
     */
    public int deleteIndustryOverviewByIds(Long[] ids);

    /**
     * 删除industry_oveview信息
     * 
     * @param id industry_oveview主键
     * @return 结果
     */
    public int deleteIndustryOverviewById(Long id);

    public List<IndustryCount> countAllIndustries();
}
