package com.enteprise.industry_run.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * industry_run对象 enterprise_base_data_total
 *
 * @author ruoyi
 * @date 2024-11-13
 */
public class EnterpriseBaseDataTotal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Double id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 坐落地 */
    @Excel(name = "坐落地")
    private String location;

    /** 行业大类 */
    private String industryName;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    /** 主营业务活动 */
    private String mainBusiness;

    /** 用地面积 */
    private Double landArea;

    /** 工业总产值 */
    @Excel(name = "工业总产值/万元")
    private Double totalIndustrialValue;

    /** 工业增加值 */
    private Double gdp;

    /** 应税收入 */
    @Excel(name = "应税收入/万元")
    private Double taxableIncome;

    /** 实缴税金 */
    @Excel(name = "实缴税金/万元")
    private Double paidTax;

    /** 主营业务收入 */
    private Double mainBusinessIncome;

    /** 从业人员数 */
    private Double employeeNumber;

    /** 利润总额 */
    private Double profit;

    /** 所有者权益 */
    private Double ownerEquity;

    /** 研发经费 */
    @Excel(name = "研发经费/万元")
    private Double funding;

    /** 能源消费量 */
    @Excel(name = "能源消耗/万m³")
    private Double energyConsume;

    /** 用电量 */
    @Excel(name = "电力消耗/万KW·h")
    private Double powerConsume;

    /** 年份 */
    @Excel(name = "年度")
    private String year;

    /** 季节 */
    @Excel(name = "季度")
    private String season;

    /** 月份 */
    @Excel(name = "月份")
    private String month;

    public void setId(Double id)
    {
        this.id = id;
    }

    public Double getId()
    {
        return id;
    }
    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setIndustryName(String industryName)
    {
        this.industryName = industryName;
    }

    public String getIndustryName()
    {
        return industryName;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setMainBusiness(String mainBusiness)
    {
        this.mainBusiness = mainBusiness;
    }

    public String getMainBusiness()
    {
        return mainBusiness;
    }
    public void setLandArea(Double landArea)
    {
        this.landArea = landArea;
    }

    public Double getLandArea()
    {
        return landArea;
    }
    public void setTotalIndustrialValue(Double totalIndustrialValue)
    {
        this.totalIndustrialValue = totalIndustrialValue;
    }

    public Double getTotalIndustrialValue()
    {
        return totalIndustrialValue;
    }
    public void setGdp(Double gdp)
    {
        this.gdp = gdp;
    }

    public Double getGdp()
    {
        return gdp;
    }
    public void setTaxableIncome(Double taxableIncome)
    {
        this.taxableIncome = taxableIncome;
    }

    public Double getTaxableIncome()
    {
        return taxableIncome;
    }
    public void setPaidTax(Double paidTax)
    {
        this.paidTax = paidTax;
    }

    public Double getPaidTax()
    {
        return paidTax;
    }
    public void setMainBusinessIncome(Double mainBusinessIncome)
    {
        this.mainBusinessIncome = mainBusinessIncome;
    }

    public Double getMainBusinessIncome()
    {
        return mainBusinessIncome;
    }
    public void setEmployeeNumber(Double employeeNumber)
    {
        this.employeeNumber = employeeNumber;
    }

    public Double getEmployeeNumber()
    {
        return employeeNumber;
    }
    public void setProfit(Double profit)
    {
        this.profit = profit;
    }

    public Double getProfit()
    {
        return profit;
    }
    public void setOwnerEquity(Double ownerEquity)
    {
        this.ownerEquity = ownerEquity;
    }

    public Double getOwnerEquity()
    {
        return ownerEquity;
    }
    public void setFunding(Double funding)
    {
        this.funding = funding;
    }

    public Double getFunding()
    {
        return funding;
    }
    public void setEnergyConsume(Double energyConsume)
    {
        this.energyConsume = energyConsume;
    }

    public Double getEnergyConsume()
    {
        return energyConsume;
    }
    public void setPowerConsume(Double powerConsume)
    {
        this.powerConsume = powerConsume;
    }

    public Double getPowerConsume()
    {
        return powerConsume;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setSeason(String season)
    {
        this.season = season;
    }

    public String getSeason()
    {
        return season;
    }
    public void setMonth(String month)
    {
        this.month = month;
    }

    public String getMonth()
    {
        return month;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseName", getEnterpriseName())
            .append("location", getLocation())
            .append("industryName", getIndustryName())
            .append("code", getCode())
            .append("mainBusiness", getMainBusiness())
            .append("landArea", getLandArea())
            .append("totalIndustrialValue", getTotalIndustrialValue())
            .append("gdp", getGdp())
            .append("taxableIncome", getTaxableIncome())
            .append("paidTax", getPaidTax())
            .append("mainBusinessIncome", getMainBusinessIncome())
            .append("employeeNumber", getEmployeeNumber())
            .append("profit", getProfit())
            .append("ownerEquity", getOwnerEquity())
            .append("funding", getFunding())
            .append("energyConsume", getEnergyConsume())
            .append("powerConsume", getPowerConsume())
            .append("year", getYear())
            .append("season", getSeason())
            .append("month", getMonth())
            .toString();
    }
}
