package com.enteprise.industry_run.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.industry_run.mapper.EnterpriseBaseDataTotalMapper;
import com.enteprise.industry_run.domain.EnterpriseBaseDataTotal;
import com.enteprise.industry_run.service.IEnterpriseBaseDataTotalService;

/**
 * industry_runService业务层处理
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
@Service
public class EnterpriseBaseDataTotalServiceImpl implements IEnterpriseBaseDataTotalService 
{
    @Autowired
    private EnterpriseBaseDataTotalMapper enterpriseBaseDataTotalMapper;

    /**
     * 查询industry_run
     * 
     * @param enterpriseName industry_run主键
     * @return industry_run
     */
    @Override
    public EnterpriseBaseDataTotal selectEnterpriseBaseDataTotalByEnterpriseName(String enterpriseName)
    {
        return enterpriseBaseDataTotalMapper.selectEnterpriseBaseDataTotalByEnterpriseName(enterpriseName);
    }

    /**
     * 查询industry_run列表
     * 
     * @param enterpriseBaseDataTotal industry_run
     * @return industry_run
     */
    @Override
    public List<EnterpriseBaseDataTotal> selectEnterpriseBaseDataTotalList(EnterpriseBaseDataTotal enterpriseBaseDataTotal)
    {
        return enterpriseBaseDataTotalMapper.selectEnterpriseBaseDataTotalList(enterpriseBaseDataTotal);
    }

    /**
     * 新增industry_run
     * 
     * @param enterpriseBaseDataTotal industry_run
     * @return 结果
     */
    @Override
    public int insertEnterpriseBaseDataTotal(EnterpriseBaseDataTotal enterpriseBaseDataTotal)
    {
        return enterpriseBaseDataTotalMapper.insertEnterpriseBaseDataTotal(enterpriseBaseDataTotal);
    }

    /**
     * 修改industry_run
     * 
     * @param enterpriseBaseDataTotal industry_run
     * @return 结果
     */
    @Override
    public int updateEnterpriseBaseDataTotal(EnterpriseBaseDataTotal enterpriseBaseDataTotal)
    {
        return enterpriseBaseDataTotalMapper.updateEnterpriseBaseDataTotal(enterpriseBaseDataTotal);
    }

    /**
     * 批量删除industry_run
     * 
     * @param enterpriseNames 需要删除的industry_run主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseBaseDataTotalByEnterpriseNames(String[] enterpriseNames)
    {
        return enterpriseBaseDataTotalMapper.deleteEnterpriseBaseDataTotalByEnterpriseNames(enterpriseNames);
    }

    /**
     * 删除industry_run信息
     * 
     * @param enterpriseName industry_run主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseBaseDataTotalByEnterpriseName(String enterpriseName)
    {
        return enterpriseBaseDataTotalMapper.deleteEnterpriseBaseDataTotalByEnterpriseName(enterpriseName);
    }
}
