package com.enteprise.predict.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * predict对象 predict
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public class Predict extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 坐落地 */
    @Excel(name = "坐落地")
    private String location;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    /** 工业总产值预测 */
    @Excel(name = "工业总产值预测")
    private Double totalIndustrialValuePredict;

    /** 应税收入预测 */
    @Excel(name = "应税收入预测")
    private Double taxableIncomePredict;

    /** 实缴税金预测 */
    @Excel(name = "实缴税金预测")
    private Double paidTaxPredict;

    /** 能源消费量预测 */
    @Excel(name = "能源消费量预测")
    private Double energyConsumePredict;

    @Excel(name = "电力消费量预测")
    private Double powerConsumePredict;

    @Excel(name = "研发经费预测")
    private Double fundingConsumePredict;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 月份 */
    @Excel(name = "月份")
    private String month;

    @Excel(name = "模型")
    private String model;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setEnterpriseName(String enterpriseName) 
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() 
    {
        return enterpriseName;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setTotalIndustrialValuePredict(Double totalIndustrialValuePredict) 
    {
        this.totalIndustrialValuePredict = totalIndustrialValuePredict;
    }

    public Double getTotalIndustrialValuePredict() 
    {
        return totalIndustrialValuePredict;
    }
    public void setTaxableIncomePredict(Double taxableIncomePredict) 
    {
        this.taxableIncomePredict = taxableIncomePredict;
    }

    public Double getTaxableIncomePredict() 
    {
        return taxableIncomePredict;
    }
    public void setPaidTaxPredict(Double paidTaxPredict) 
    {
        this.paidTaxPredict = paidTaxPredict;
    }

    public Double getPaidTaxPredict() 
    {
        return paidTaxPredict;
    }
    public void setEnergyConsumePredict(Double energyConsumePredict) 
    {
        this.energyConsumePredict = energyConsumePredict;
    }

    public Double getEnergyConsumePredict() 
    {
        return energyConsumePredict;
    }

    public void setPowerConsumePredict(Double powerConsumePredict)
    {
        this.powerConsumePredict = powerConsumePredict;
    }

    public Double getPowerConsumePredict()
    {
        return powerConsumePredict;
    }

    public void setFundingConsumePredict(Double fundingConsumePredict)
    {
        this.fundingConsumePredict = fundingConsumePredict;
    }

    public Double getFundingConsumePredict()
    {
        return fundingConsumePredict;
    }

    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setMonth(String month) 
    {
        this.month = month;
    }

    public String getMonth() 
    {
        return month;
    }

    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseName", getEnterpriseName())
            .append("location", getLocation())
            .append("code", getCode())
            .append("totalIndustrialValuePredict", getTotalIndustrialValuePredict())
            .append("taxableIncomePredict", getTaxableIncomePredict())
            .append("paidTaxPredict", getPaidTaxPredict())
            .append("energyConsumePredict", getEnergyConsumePredict())
                .append("powerConsumePredict", getPowerConsumePredict())
                .append("fundingConsumePredict", getFundingConsumePredict())
            .append("year", getYear())
            .append("month", getMonth()).append("model", getModel())
            .toString();
    }
}
