package com.enteprise.predict.mapper;

import java.util.List;
import com.enteprise.predict.domain.Predict;

/**
 * predictMapper接口
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public interface PredictMapper 
{
    /**
     * 查询predict
     * 
     * @param id predict主键
     * @return predict
     */
    public Predict selectPredictById(Long id);

    /**
     * 查询predict列表
     * 
     * @param predict predict
     * @return predict集合
     */
    public List<Predict> selectPredictList(Predict predict);

    /**
     * 新增predict
     * 
     * @param predict predict
     * @return 结果
     */
    public int insertPredict(Predict predict);

    /**
     * 修改predict
     * 
     * @param predict predict
     * @return 结果
     */
    public int updatePredict(Predict predict);

    /**
     * 删除predict
     * 
     * @param id predict主键
     * @return 结果
     */
    public int deletePredictById(Long id);

    /**
     * 批量删除predict
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePredictByIds(Long[] ids);
}
