package com.enteprise.predict.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.predict.mapper.PredictMapper;
import com.enteprise.predict.domain.Predict;
import com.enteprise.predict.service.IPredictService;

/**
 * predictService业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class PredictServiceImpl implements IPredictService 
{
    @Autowired
    private PredictMapper predictMapper;

    /**
     * 查询predict
     * 
     * @param id predict主键
     * @return predict
     */
    @Override
    public Predict selectPredictById(Long id)
    {
        return predictMapper.selectPredictById(id);
    }

    /**
     * 查询predict列表
     * 
     * @param predict predict
     * @return predict
     */
    @Override
    public List<Predict> selectPredictList(Predict predict)
    {
        return predictMapper.selectPredictList(predict);
    }

    /**
     * 新增predict
     * 
     * @param predict predict
     * @return 结果
     */
    @Override
    public int insertPredict(Predict predict)
    {
        return predictMapper.insertPredict(predict);
    }

    /**
     * 修改predict
     * 
     * @param predict predict
     * @return 结果
     */
    @Override
    public int updatePredict(Predict predict)
    {
        return predictMapper.updatePredict(predict);
    }

    /**
     * 批量删除predict
     * 
     * @param ids 需要删除的predict主键
     * @return 结果
     */
    @Override
    public int deletePredictByIds(Long[] ids)
    {
        return predictMapper.deletePredictByIds(ids);
    }

    /**
     * 删除predict信息
     * 
     * @param id predict主键
     * @return 结果
     */
    @Override
    public int deletePredictById(Long id)
    {
        return predictMapper.deletePredictById(id);
    }
}
