package com.enteprise.predictseason.service;

import java.util.List;
import com.enteprise.predictseason.domain.Predictseason;

/**
 * predictseasonService接口
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public interface IPredictseasonService 
{
    /**
     * 查询predictseason
     * 
     * @param id predictseason主键
     * @return predictseason
     */
    public Predictseason selectPredictseasonById(Long id);

    /**
     * 查询predictseason列表
     * 
     * @param predictseason predictseason
     * @return predictseason集合
     */
    public List<Predictseason> selectPredictseasonList(Predictseason predictseason);

    /**
     * 新增predictseason
     * 
     * @param predictseason predictseason
     * @return 结果
     */
    public int insertPredictseason(Predictseason predictseason);

    /**
     * 修改predictseason
     * 
     * @param predictseason predictseason
     * @return 结果
     */
    public int updatePredictseason(Predictseason predictseason);

    /**
     * 批量删除predictseason
     * 
     * @param ids 需要删除的predictseason主键集合
     * @return 结果
     */
    public int deletePredictseasonByIds(Long[] ids);

    /**
     * 删除predictseason信息
     * 
     * @param id predictseason主键
     * @return 结果
     */
    public int deletePredictseasonById(Long id);
}
