package com.enteprise.predictseason.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.predictseason.mapper.PredictseasonMapper;
import com.enteprise.predictseason.domain.Predictseason;
import com.enteprise.predictseason.service.IPredictseasonService;

/**
 * predictseasonService业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
@Service
public class PredictseasonServiceImpl implements IPredictseasonService 
{
    @Autowired
    private PredictseasonMapper predictseasonMapper;

    /**
     * 查询predictseason
     * 
     * @param id predictseason主键
     * @return predictseason
     */
    @Override
    public Predictseason selectPredictseasonById(Long id)
    {
        return predictseasonMapper.selectPredictseasonById(id);
    }

    /**
     * 查询predictseason列表
     * 
     * @param predictseason predictseason
     * @return predictseason
     */
    @Override
    public List<Predictseason> selectPredictseasonList(Predictseason predictseason)
    {
        return predictseasonMapper.selectPredictseasonList(predictseason);
    }

    /**
     * 新增predictseason
     * 
     * @param predictseason predictseason
     * @return 结果
     */
    @Override
    public int insertPredictseason(Predictseason predictseason)
    {
        return predictseasonMapper.insertPredictseason(predictseason);
    }

    /**
     * 修改predictseason
     * 
     * @param predictseason predictseason
     * @return 结果
     */
    @Override
    public int updatePredictseason(Predictseason predictseason)
    {
        return predictseasonMapper.updatePredictseason(predictseason);
    }

    /**
     * 批量删除predictseason
     * 
     * @param ids 需要删除的predictseason主键
     * @return 结果
     */
    @Override
    public int deletePredictseasonByIds(Long[] ids)
    {
        return predictseasonMapper.deletePredictseasonByIds(ids);
    }

    /**
     * 删除predictseason信息
     * 
     * @param id predictseason主键
     * @return 结果
     */
    @Override
    public int deletePredictseasonById(Long id)
    {
        return predictseasonMapper.deletePredictseasonById(id);
    }
}
