package com.enteprise.predicttotal.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.predicttotal.mapper.PredicttotalMapper;
import com.enteprise.predicttotal.domain.Predicttotal;
import com.enteprise.predicttotal.service.IPredicttotalService;

/**
 * predicttotalService业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
@Service
public class PredicttotalServiceImpl implements IPredicttotalService 
{
    @Autowired
    private PredicttotalMapper predicttotalMapper;

    /**
     * 查询predicttotal
     * 
     * @param id predicttotal主键
     * @return predicttotal
     */
    @Override
    public Predicttotal selectPredicttotalById(Long id)
    {
        return predicttotalMapper.selectPredicttotalById(id);
    }

    /**
     * 查询predicttotal列表
     * 
     * @param predicttotal predicttotal
     * @return predicttotal
     */
    @Override
    public List<Predicttotal> selectPredicttotalList(Predicttotal predicttotal)
    {
        return predicttotalMapper.selectPredicttotalList(predicttotal);
    }

    /**
     * 新增predicttotal
     * 
     * @param predicttotal predicttotal
     * @return 结果
     */
    @Override
    public int insertPredicttotal(Predicttotal predicttotal)
    {
        return predicttotalMapper.insertPredicttotal(predicttotal);
    }

    /**
     * 修改predicttotal
     * 
     * @param predicttotal predicttotal
     * @return 结果
     */
    @Override
    public int updatePredicttotal(Predicttotal predicttotal)
    {
        return predicttotalMapper.updatePredicttotal(predicttotal);
    }

    /**
     * 批量删除predicttotal
     * 
     * @param ids 需要删除的predicttotal主键
     * @return 结果
     */
    @Override
    public int deletePredicttotalByIds(Long[] ids)
    {
        return predicttotalMapper.deletePredicttotalByIds(ids);
    }

    /**
     * 删除predicttotal信息
     * 
     * @param id predicttotal主键
     * @return 结果
     */
    @Override
    public int deletePredicttotalById(Long id)
    {
        return predicttotalMapper.deletePredicttotalById(id);
    }
}
