package com.enteprise.predictyear.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.predictyear.mapper.PredictyearMapper;
import com.enteprise.predictyear.domain.Predictyear;
import com.enteprise.predictyear.service.IPredictyearService;

/**
 * predictyearService业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
@Service
public class PredictyearServiceImpl implements IPredictyearService 
{
    @Autowired
    private PredictyearMapper predictyearMapper;

    /**
     * 查询predictyear
     * 
     * @param id predictyear主键
     * @return predictyear
     */
    @Override
    public Predictyear selectPredictyearById(Long id)
    {
        return predictyearMapper.selectPredictyearById(id);
    }

    /**
     * 查询predictyear列表
     * 
     * @param predictyear predictyear
     * @return predictyear
     */
    @Override
    public List<Predictyear> selectPredictyearList(Predictyear predictyear)
    {
        return predictyearMapper.selectPredictyearList(predictyear);
    }

    /**
     * 新增predictyear
     * 
     * @param predictyear predictyear
     * @return 结果
     */
    @Override
    public int insertPredictyear(Predictyear predictyear)
    {
        return predictyearMapper.insertPredictyear(predictyear);
    }

    /**
     * 修改predictyear
     * 
     * @param predictyear predictyear
     * @return 结果
     */
    @Override
    public int updatePredictyear(Predictyear predictyear)
    {
        return predictyearMapper.updatePredictyear(predictyear);
    }

    /**
     * 批量删除predictyear
     * 
     * @param ids 需要删除的predictyear主键
     * @return 结果
     */
    @Override
    public int deletePredictyearByIds(Long[] ids)
    {
        return predictyearMapper.deletePredictyearByIds(ids);
    }

    /**
     * 删除predictyear信息
     * 
     * @param id predictyear主键
     * @return 结果
     */
    @Override
    public int deletePredictyearById(Long id)
    {
        return predictyearMapper.deletePredictyearById(id);
    }
}
