package com.enteprise.priceindex.mapper;

import java.util.List;
import com.enteprise.priceindex.domain.PriceIndex;

/**
 * priceindexMapper接口
 * 
 * @author ljx
 * @date 2025-02-07
 */
public interface PriceIndexMapper 
{
    /**
     * 查询priceindex
     * 
     * @param id priceindex主键
     * @return priceindex
     */
    public PriceIndex selectPriceIndexById(Long id);

    /**
     * 查询priceindex列表
     * 
     * @param priceIndex priceindex
     * @return priceindex集合
     */
    public List<PriceIndex> selectPriceIndexList(PriceIndex priceIndex);

    /**
     * 新增priceindex
     * 
     * @param priceIndex priceindex
     * @return 结果
     */
    public int insertPriceIndex(PriceIndex priceIndex);

    /**
     * 修改priceindex
     * 
     * @param priceIndex priceindex
     * @return 结果
     */
    public int updatePriceIndex(PriceIndex priceIndex);

    /**
     * 删除priceindex
     * 
     * @param id priceindex主键
     * @return 结果
     */
    public int deletePriceIndexById(Long id);

    /**
     * 批量删除priceindex
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePriceIndexByIds(Long[] ids);

    void insertBatch(List<PriceIndex> list);
}
