package com.enteprise.priceindex.service;

import java.util.List;

import com.enteprise.etype.domain.EnterpriseType;
import com.enteprise.priceindex.domain.PriceIndex;

/**
 * priceindexService接口
 * 
 * @author ljx
 * @date 2025-02-07
 */
public interface IPriceIndexService 
{
    /**
     * 查询priceindex
     * 
     * @param id priceindex主键
     * @return priceindex
     */
    public PriceIndex selectPriceIndexById(Long id);

    /**
     * 查询priceindex列表
     * 
     * @param priceIndex priceindex
     * @return priceindex集合
     */
    public List<PriceIndex> selectPriceIndexList(PriceIndex priceIndex);

    /**
     * 新增priceindex
     * 
     * @param priceIndex priceindex
     * @return 结果
     */
    public int insertPriceIndex(PriceIndex priceIndex);

    /**
     * 批量新增（导入）
     */
    boolean batchTbPriceIndex(List<PriceIndex> list);

    /**
     * 修改priceindex
     * 
     * @param priceIndex priceindex
     * @return 结果
     */
    public int updatePriceIndex(PriceIndex priceIndex);

    /**
     * 批量删除priceindex
     * 
     * @param ids 需要删除的priceindex主键集合
     * @return 结果
     */
    public int deletePriceIndexByIds(Long[] ids);

    /**
     * 删除priceindex信息
     * 
     * @param id priceindex主键
     * @return 结果
     */
    public int deletePriceIndexById(Long id);

}
