package com.enteprise.run_data_month.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.run_data_month.mapper.EnterpriseRunDataMonthMapper;
import com.enteprise.run_data_month.domain.EnterpriseRunDataMonth;
import com.enteprise.run_data_month.service.IEnterpriseRunDataMonthService;

/**
 * run_data_monthService业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class EnterpriseRunDataMonthServiceImpl implements IEnterpriseRunDataMonthService 
{
    @Autowired
    private EnterpriseRunDataMonthMapper enterpriseRunDataMonthMapper;

    /**
     * 查询run_data_month
     * 
     * @param id run_data_month主键
     * @return run_data_month
     */
    @Override
    public EnterpriseRunDataMonth selectEnterpriseRunDataMonthById(Long id)
    {
        return enterpriseRunDataMonthMapper.selectEnterpriseRunDataMonthById(id);
    }

    /**
     * 查询run_data_month列表
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return run_data_month
     */
    @Override
    public List<EnterpriseRunDataMonth> selectEnterpriseRunDataMonthList(EnterpriseRunDataMonth enterpriseRunDataMonth)
    {
        return enterpriseRunDataMonthMapper.selectEnterpriseRunDataMonthList(enterpriseRunDataMonth);
    }

    /**
     * 新增run_data_month
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return 结果
     */
    @Override
    public int insertEnterpriseRunDataMonth(EnterpriseRunDataMonth enterpriseRunDataMonth)
    {
        return enterpriseRunDataMonthMapper.insertEnterpriseRunDataMonth(enterpriseRunDataMonth);
    }

    /**
     * 修改run_data_month
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return 结果
     */
    @Override
    public int updateEnterpriseRunDataMonth(EnterpriseRunDataMonth enterpriseRunDataMonth)
    {
        return enterpriseRunDataMonthMapper.updateEnterpriseRunDataMonth(enterpriseRunDataMonth);
    }

    /**
     * 批量删除run_data_month
     * 
     * @param ids 需要删除的run_data_month主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseRunDataMonthByIds(Long[] ids)
    {
        return enterpriseRunDataMonthMapper.deleteEnterpriseRunDataMonthByIds(ids);
    }

    /**
     * 删除run_data_month信息
     * 
     * @param id run_data_month主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseRunDataMonthById(Long id)
    {
        return enterpriseRunDataMonthMapper.deleteEnterpriseRunDataMonthById(id);
    }
}
