package com.enteprise.run_data_year.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.run_data_year.mapper.EnterpriseRunDataYearMapper;
import com.enteprise.run_data_year.domain.EnterpriseRunDataYear;
import com.enteprise.run_data_year.service.IEnterpriseRunDataYearService;

/**
 * run_data_yearService业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class EnterpriseRunDataYearServiceImpl implements IEnterpriseRunDataYearService 
{
    @Autowired
    private EnterpriseRunDataYearMapper enterpriseRunDataYearMapper;

    /**
     * 查询run_data_year
     * 
     * @param id run_data_year主键
     * @return run_data_year
     */
    @Override
    public EnterpriseRunDataYear selectEnterpriseRunDataYearById(Long id)
    {
        return enterpriseRunDataYearMapper.selectEnterpriseRunDataYearById(id);
    }

    /**
     * 查询run_data_year列表
     * 
     * @param enterpriseRunDataYear run_data_year
     * @return run_data_year
     */
    @Override
    public List<EnterpriseRunDataYear> selectEnterpriseRunDataYearList(EnterpriseRunDataYear enterpriseRunDataYear)
    {
        return enterpriseRunDataYearMapper.selectEnterpriseRunDataYearList(enterpriseRunDataYear);
    }

    /**
     * 新增run_data_year
     * 
     * @param enterpriseRunDataYear run_data_year
     * @return 结果
     */
    @Override
    public int insertEnterpriseRunDataYear(EnterpriseRunDataYear enterpriseRunDataYear)
    {
        return enterpriseRunDataYearMapper.insertEnterpriseRunDataYear(enterpriseRunDataYear);
    }

    /**
     * 修改run_data_year
     * 
     * @param enterpriseRunDataYear run_data_year
     * @return 结果
     */
    @Override
    public int updateEnterpriseRunDataYear(EnterpriseRunDataYear enterpriseRunDataYear)
    {
        return enterpriseRunDataYearMapper.updateEnterpriseRunDataYear(enterpriseRunDataYear);
    }

    /**
     * 批量删除run_data_year
     * 
     * @param ids 需要删除的run_data_year主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseRunDataYearByIds(Long[] ids)
    {
        return enterpriseRunDataYearMapper.deleteEnterpriseRunDataYearByIds(ids);
    }

    /**
     * 删除run_data_year信息
     * 
     * @param id run_data_year主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseRunDataYearById(Long id)
    {
        return enterpriseRunDataYearMapper.deleteEnterpriseRunDataYearById(id);
    }
}
