package com.enteprise.score.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * score对象 score
 *
 * @author ruoyi
 * @date 2024-08-30
 */
public class Score extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 坐落地 */
    @Excel(name = "坐落地")
    private String location;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String mainBusinessScore;

    /** 用地面积得分 */
    @Excel(name = "用地面积得分")
    private Double landAreaScore;

    /** 工业总产值得分 */
    @Excel(name = "工业总产值得分")
    private Double totalIndustrialValueScore;

    /** 工业增加值得分 */
    @Excel(name = "工业增加值得分")
    private Double gdpScore;

    /** 应税收入得分 */
    @Excel(name = "应税收入得分")
    private Double taxableIncomeScore;

    /** 实缴税金得分 */
    @Excel(name = "实缴税金得分")
    private Double paidTaxScore;

    /** 主营业务收入得分 */
    @Excel(name = "主营业务收入得分")
    private Double mainBusinessIncomeScore;

    /** 从业人员数得分 */
    @Excel(name = "从业人员数得分")
    private Double employeeNumberScore;

    /** 利润总额得分 */
    @Excel(name = "利润总额得分")
    private Double profitScore;

    /** 所有者权益得分 */
    @Excel(name = "所有者权益得分")
    private Double ownerEquityScore;

    /** 研发经费得分 */
    @Excel(name = "研发经费得分")
    private Double fundingScore;

    /** 能源消费量得分 */
    @Excel(name = "能源消费量得分")
    private Double energyConsumeScore;

    @Excel(name = "电力消费量得分")
    private Double powerConsumeScore;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 月份 */
    @Excel(name = "月份")
    private String month;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String totalIndustrialValueLevel;

    public String getTotalIndustrialValueLevel() {
        return totalIndustrialValueLevel;
    }

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String taxableIncomeLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String paidTaxLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String energyConsumeLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String fundingLevel;

    /** 主营业务活动得分 */
    @Excel(name = "主营业务活动得分")
    private String powerConsumeLevel;

    public String getPaidTaxLevel() {
        return paidTaxLevel;
    }

    public void setPaidTaxLevel(String paidTaxLevel) {
        this.paidTaxLevel = paidTaxLevel;
    }

    public String getEnergyConsumeLevel() {
        return energyConsumeLevel;
    }

    public void setEnergyConsumeLevel(String energyConsumeLevel) {
        this.energyConsumeLevel = energyConsumeLevel;
    }

    public String getFundingLevel() {
        return fundingLevel;
    }

    public void setFundingLevel(String fundingLevel) {
        this.fundingLevel = fundingLevel;
    }

    public String getPowerConsumeLevel() {
        return powerConsumeLevel;
    }

    public void setPowerConsumeLevel(String powerConsumeLevel) {
        this.powerConsumeLevel = powerConsumeLevel;
    }

    public String getTaxableIncomeLevel() {
        return taxableIncomeLevel;
    }

    public void setTaxableIncomeLevel(String taxableIncomeLevel) {
        this.taxableIncomeLevel = taxableIncomeLevel;
    }

    public void setTotalIndustrialValueLevel(String totalIndustrialValueLevel) {
        this.totalIndustrialValueLevel = totalIndustrialValueLevel;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }

    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setMainBusinessScore(String mainBusinessScore)
    {
        this.mainBusinessScore = mainBusinessScore;
    }

    public String getMainBusinessScore()
    {
        return mainBusinessScore;
    }
    public void setLandAreaScore(Double landAreaScore)
    {
        this.landAreaScore = landAreaScore;
    }

    public Double getLandAreaScore()
    {
        return landAreaScore;
    }
    public void setTotalIndustrialValueScore(Double totalIndustrialValueScore)
    {
        this.totalIndustrialValueScore = totalIndustrialValueScore;
    }

    public Double getTotalIndustrialValueScore()
    {
        return totalIndustrialValueScore;
    }
    public void setGdpScore(Double gdpScore)
    {
        this.gdpScore = gdpScore;
    }

    public Double getGdpScore()
    {
        return gdpScore;
    }
    public void setTaxableIncomeScore(Double taxableIncomeScore)
    {
        this.taxableIncomeScore = taxableIncomeScore;
    }

    public Double getTaxableIncomeScore()
    {
        return taxableIncomeScore;
    }
    public void setPaidTaxScore(Double paidTaxScore)
    {
        this.paidTaxScore = paidTaxScore;
    }

    public Double getPaidTaxScore()
    {
        return paidTaxScore;
    }
    public void setMainBusinessIncomeScore(Double mainBusinessIncomeScore)
    {
        this.mainBusinessIncomeScore = mainBusinessIncomeScore;
    }

    public Double getMainBusinessIncomeScore()
    {
        return mainBusinessIncomeScore;
    }
    public void setEmployeeNumberScore(Double employeeNumberScore)
    {
        this.employeeNumberScore = employeeNumberScore;
    }

    public Double getEmployeeNumberScore()
    {
        return employeeNumberScore;
    }
    public void setProfitScore(Double profitScore)
    {
        this.profitScore = profitScore;
    }

    public Double getProfitScore()
    {
        return profitScore;
    }
    public void setOwnerEquityScore(Double ownerEquityScore)
    {
        this.ownerEquityScore = ownerEquityScore;
    }

    public Double getOwnerEquityScore()
    {
        return ownerEquityScore;
    }
    public void setFundingScore(Double fundingScore)
    {
        this.fundingScore = fundingScore;
    }

    public Double getFundingScore()
    {
        return fundingScore;
    }
    public void setEnergyConsumeScore(Double energyConsumeScore)
    {
        this.energyConsumeScore = energyConsumeScore;
    }

    public Double getEnergyConsumeScore()
    {
        return energyConsumeScore;
    }

    public void setPowerConsumeScore(Double powerConsumeScore)
    {
        this.powerConsumeScore = powerConsumeScore;
    }

    public Double getPowerConsumeScore()
    {
        return powerConsumeScore;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMonth(String month)
    {
        this.month = month;
    }

    public String getMonth()
    {
        return month;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseName", getEnterpriseName())
            .append("location", getLocation())
            .append("code", getCode())
            .append("mainBusinessScore", getMainBusinessScore())
            .append("landAreaScore", getLandAreaScore())
            .append("totalIndustrialValueScore", getTotalIndustrialValueScore())
            .append("gdpScore", getGdpScore())
            .append("taxableIncomeScore", getTaxableIncomeScore())
            .append("paidTaxScore", getPaidTaxScore())
            .append("mainBusinessIncomeScore", getMainBusinessIncomeScore())
            .append("employeeNumberScore", getEmployeeNumberScore())
            .append("profitScore", getProfitScore())
            .append("ownerEquityScore", getOwnerEquityScore())
            .append("fundingScore", getFundingScore())
            .append("energyConsumeScore", getEnergyConsumeScore())
            .append("year", getYear())
            .append("month", getMonth())
            .toString();
    }
}
