package com.enteprise.season.mapper;

import java.util.List;
import com.enteprise.season.domain.EnterpriseBaseDataSeason;

/**
 * seasonMapper接口
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public interface EnterpriseBaseDataSeasonMapper 
{
    /**
     * 查询season
     * 
     * @param id season主键
     * @return season
     */
    public EnterpriseBaseDataSeason selectEnterpriseBaseDataSeasonById(Long id);

    /**
     * 查询season列表
     * 
     * @param enterpriseBaseDataSeason season
     * @return season集合
     */
    public List<EnterpriseBaseDataSeason> selectEnterpriseBaseDataSeasonList(EnterpriseBaseDataSeason enterpriseBaseDataSeason);

    /**
     * 新增season
     * 
     * @param enterpriseBaseDataSeason season
     * @return 结果
     */
    public int insertEnterpriseBaseDataSeason(EnterpriseBaseDataSeason enterpriseBaseDataSeason);

    /**
     * 修改season
     * 
     * @param enterpriseBaseDataSeason season
     * @return 结果
     */
    public int updateEnterpriseBaseDataSeason(EnterpriseBaseDataSeason enterpriseBaseDataSeason);

    /**
     * 删除season
     * 
     * @param id season主键
     * @return 结果
     */
    public int deleteEnterpriseBaseDataSeasonById(Long id);

    /**
     * 批量删除season
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEnterpriseBaseDataSeasonByIds(Long[] ids);
}
