package com.enteprise.season.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.season.mapper.EnterpriseBaseDataSeasonMapper;
import com.enteprise.season.domain.EnterpriseBaseDataSeason;
import com.enteprise.season.service.IEnterpriseBaseDataSeasonService;

/**
 * seasonService业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
@Service
public class EnterpriseBaseDataSeasonServiceImpl implements IEnterpriseBaseDataSeasonService 
{
    @Autowired
    private EnterpriseBaseDataSeasonMapper enterpriseBaseDataSeasonMapper;

    /**
     * 查询season
     * 
     * @param id season主键
     * @return season
     */
    @Override
    public EnterpriseBaseDataSeason selectEnterpriseBaseDataSeasonById(Long id)
    {
        return enterpriseBaseDataSeasonMapper.selectEnterpriseBaseDataSeasonById(id);
    }

    /**
     * 查询season列表
     * 
     * @param enterpriseBaseDataSeason season
     * @return season
     */
    @Override
    public List<EnterpriseBaseDataSeason> selectEnterpriseBaseDataSeasonList(EnterpriseBaseDataSeason enterpriseBaseDataSeason)
    {
        return enterpriseBaseDataSeasonMapper.selectEnterpriseBaseDataSeasonList(enterpriseBaseDataSeason);
    }

    /**
     * 新增season
     * 
     * @param enterpriseBaseDataSeason season
     * @return 结果
     */
    @Override
    public int insertEnterpriseBaseDataSeason(EnterpriseBaseDataSeason enterpriseBaseDataSeason)
    {
        return enterpriseBaseDataSeasonMapper.insertEnterpriseBaseDataSeason(enterpriseBaseDataSeason);
    }

    /**
     * 修改season
     * 
     * @param enterpriseBaseDataSeason season
     * @return 结果
     */
    @Override
    public int updateEnterpriseBaseDataSeason(EnterpriseBaseDataSeason enterpriseBaseDataSeason)
    {
        return enterpriseBaseDataSeasonMapper.updateEnterpriseBaseDataSeason(enterpriseBaseDataSeason);
    }

    /**
     * 批量删除season
     * 
     * @param ids 需要删除的season主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseBaseDataSeasonByIds(Long[] ids)
    {
        return enterpriseBaseDataSeasonMapper.deleteEnterpriseBaseDataSeasonByIds(ids);
    }

    /**
     * 删除season信息
     * 
     * @param id season主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseBaseDataSeasonById(Long id)
    {
        return enterpriseBaseDataSeasonMapper.deleteEnterpriseBaseDataSeasonById(id);
    }
}
