package com.enteprise.uploadfile.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.uploadfile.mapper.UploadfileMapper;
import com.enteprise.uploadfile.domain.Uploadfile;
import com.enteprise.uploadfile.service.IUploadfileService;

/**
 * uploadfileService业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-16
 */
@Service
public class UploadfileServiceImpl implements IUploadfileService 
{
    @Autowired
    private UploadfileMapper uploadfileMapper;

    /**
     * 查询uploadfile
     * 
     * @param id uploadfile主键
     * @return uploadfile
     */
    @Override
    public Uploadfile selectUploadfileById(Long id)
    {
        return uploadfileMapper.selectUploadfileById(id);
    }

    /**
     * 查询uploadfile列表
     * 
     * @param uploadfile uploadfile
     * @return uploadfile
     */
    @Override
    public List<Uploadfile> selectUploadfileList(Uploadfile uploadfile)
    {
        return uploadfileMapper.selectUploadfileList(uploadfile);
    }

    /**
     * 新增uploadfile
     * 
     * @param uploadfile uploadfile
     * @return 结果
     */
    @Override
    public int insertUploadfile(Uploadfile uploadfile)
    {
        return uploadfileMapper.insertUploadfile(uploadfile);
    }

    /**
     * 修改uploadfile
     * 
     * @param uploadfile uploadfile
     * @return 结果
     */
    @Override
    public int updateUploadfile(Uploadfile uploadfile)
    {
        return uploadfileMapper.updateUploadfile(uploadfile);
    }

    /**
     * 批量删除uploadfile
     * 
     * @param ids 需要删除的uploadfile主键
     * @return 结果
     */
    @Override
    public int deleteUploadfileByIds(Long[] ids)
    {
        return uploadfileMapper.deleteUploadfileByIds(ids);
    }

    /**
     * 删除uploadfile信息
     * 
     * @param id uploadfile主键
     * @return 结果
     */
    @Override
    public int deleteUploadfileById(Long id)
    {
        return uploadfileMapper.deleteUploadfileById(id);
    }
}
